#include "omx_type1_decoder_com_func.h"

const int gai4BW2OrderSampleRate2xNumCoff[3] =
{
    FILTER_FXP32(0.2928932188135, 5),
    FILTER_FXP32(0.5857864376269, 5),
    FILTER_FXP32(0.2928932188135, 5)
};

const int gai4BW2OrderSampleRate2xDenomCoff[3] =
{
    FILTER_FXP32(1, 5),
    FILTER_FXP32(-1.300707181133e-016, 5),
    FILTER_FXP32(0.1715728752538, 5)
};

const int gai4BW2OrderSampleRate4xNumCoff[3] =
{
    FILTER_FXP32(0.09763107293782, 2),
    FILTER_FXP32(0.1952621458756, 2),
    FILTER_FXP32(0.09763107293782, 2)
};

const int gai4BW2OrderSampleRate4xDenomCoff[3] =
{
    FILTER_FXP32(1, 2),
    FILTER_FXP32(-0.9428090415821, 2),
    FILTER_FXP32(0.3333333333333, 2)
};

const int gai4BW2OrderSampleRate8xNumCoff[3] =
{
    FILTER_FXP32(0.02995458220809, 3),
    FILTER_FXP32(0.05990916441618, 3),
    FILTER_FXP32(0.02995458220809, 3)
};

const int gai4BW2OrderSampleRate8xDenomCoff[3] =
{
    FILTER_FXP32(1, 3),
    FILTER_FXP32(-1.454243586252, 3),
    FILTER_FXP32(0.574061915084, 3)
};

IIR_FILTER_COFF_T gtBW2OrderSampleRate2xFilter =
{
    IIRFilterType_Butterworth2OrderSampleRate2x,     // The filter type
    3,                                               // Numerator Coff count
    5,                                               // Coff fixed point interger bit length
    gai4BW2OrderSampleRate2xNumCoff,                 // The pointer of Numerator Coff
    gai4BW2OrderSampleRate2xDenomCoff,               // The pointer of Denominator Coff
};

IIR_FILTER_COFF_T gtBW2OrderSampleRate4xFilter =
{
    IIRFilterType_Butterworth2OrderSampleRate4x,     // The filter type
    3,                                               // Numerator Coff count
    2,                                               // Coff fixed point interger bit length
    gai4BW2OrderSampleRate4xNumCoff,                 // The pointer of Numerator Coff
    gai4BW2OrderSampleRate4xDenomCoff,               // The pointer of Denominator Coff
};

IIR_FILTER_COFF_T gtBW2OrderSampleRate8xFilter =
{
    IIRFilterType_Butterworth2OrderSampleRate8x,     // The filter type
    3,                                               // Numerator Coff count
    3,                                               // Coff fixed point interger bit length
    gai4BW2OrderSampleRate8xNumCoff,                 // The pointer of Numerator Coff
    gai4BW2OrderSampleRate8xDenomCoff,               // The pointer of Denominator Coff
};

